(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     34131,        715]
NotebookOptionsPosition[     33212,        679]
NotebookOutlinePosition[     33593,        696]
CellTagsIndexPosition[     33550,        693]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["M\[CapitalEAcute]TODO DOS TRAP\[CapitalEAcute]ZIOS", "Subsection",
 CellChangeTimes->{{3.53157548180923*^9, 3.531575654740368*^9}, {
   3.531575702067237*^9, 3.53157572699397*^9}, {3.531575765505658*^9, 
   3.531575771641642*^9}, 3.5315758860169563`*^9, {3.531594689762711*^9, 
   3.531594708869632*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Trapezios", "[", 
   RowBox[{"ff_", ",", "x_", ",", "a_", ",", "b_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", "h"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "s_", "]"}], ":=", 
      RowBox[{"ff", "/.", 
       RowBox[{"x", "\[Rule]", "s"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"h", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"h", "/", "2"}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", "[", "a", "]"}], "+", 
        RowBox[{"f", "[", "b", "]"}], "+", 
        RowBox[{"2.", "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"a", "+", 
             RowBox[{"i", "*", "h"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}]}], ")"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.53157548180923*^9, 3.531575654740368*^9}, {
   3.531575702067237*^9, 3.53157572699397*^9}, {3.531575765505658*^9, 
   3.531575771641642*^9}, 3.5315758860169563`*^9, {3.531594689762711*^9, 
   3.531594708869632*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["M\[CapitalEAcute]TODO DE SIMPSON", "Subsection",
 CellChangeTimes->{{3.531594749052218*^9, 3.531594753517048*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Simpson", "[", 
   RowBox[{"ff_", ",", "x_", ",", "a_", ",", "b_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"f", ",", "h"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", "s_", "]"}], ":=", 
      RowBox[{"ff", "/.", 
       RowBox[{"x", "\[Rule]", "s"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"h", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"b", "-", "a"}], ")"}], "/", "n"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"OddQ", "[", "n", "]"}], ",", 
       RowBox[{"Print", "[", "\"\<ERR=: n deve ser par\>\"", "]"}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"h", "/", "3"}], ")"}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"f", "[", "a", "]"}], "+", 
        RowBox[{"f", "[", "b", "]"}], "+", 
        RowBox[{"4.", "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"a", "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", "*", "i"}], "-", "1"}], ")"}], "*", "h"}]}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{"n", "/", "2"}]}], "}"}]}], "]"}]}], "+", 
        RowBox[{"2.", "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"a", "+", 
             RowBox[{"2", "*", "i", "*", "h"}]}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "1", ",", 
             RowBox[{
              RowBox[{"n", "/", "2"}], "-", "1"}]}], "}"}]}], "]"}]}]}], 
       ")"}]}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.5315758989363317`*^9, 3.531576114439036*^9}, {
  3.531595677955315*^9, 3.531595680462914*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
APLICA\[CapitalCCedilla]\[CapitalATilde]O CONSTRU\[CapitalCCedilla]\
\[CapitalATilde]O DE UMA TABELA DA \
DISTRIBUI\[CapitalCCedilla]\[CapitalATilde]O NORMAL\
\>", "Subsection",
 CellChangeTimes->{{3.5315951059107313`*^9, 3.531595124311942*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "C\[AAcute]lculo", " ", "do", " ", "valor", " ", "da", " ", 
      "distribi\[CCedilla]ao", " ", "N", 
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}], " ", "no", " ", "ponto", " ", "x"}], 
     "\[GreaterEqual]", "0"}], ",", " ", 
    RowBox[{
    "usando", " ", "o", " ", "m\[EAcute]todo", " ", "dos", " ", 
     "trap\[EAcute]zios"}], ",", " ", 
    RowBox[{"com", " ", "erro", " ", "inferior", " ", "a", " ", 
     RowBox[{"tol", ".", " ", "Os"}], " ", "par\[AHat]metros", " ", "h", " ", 
     "e", " ", "n", " ", "s\[ATilde]o", " ", "calculados", " ", "com", " ", 
     "base", " ", "na", " ", "f\[OAcute]rmula", " ", "do", " ", "erro"}], ",",
     " ", 
    RowBox[{
     RowBox[{"para", " ", "0"}], "\[LessEqual]", "x", "\[LessEqual]", "4"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"FTrap", "[", 
    RowBox[{"x_", ",", "tol_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "t"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"n", "=", 
       RowBox[{"Ceiling", "[", 
        RowBox[{"16", "/", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"120", "*", "tol"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"0.5", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"2", "*", "Pi"}], "]"}]}], ")"}], "*", 
        RowBox[{"Trapezios", "[", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"t", "^", "2"}]}], "/", "2"}], "]"}], ",", "t", ",", 
          "0.", ",", "x", ",", "n"}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.531576318202194*^9, 3.531576319652289*^9}, {
   3.5315764672327414`*^9, 3.531576558789109*^9}, {3.531576978200622*^9, 
   3.5315770709887733`*^9}, {3.531577103395672*^9, 3.53157713600284*^9}, 
   3.5315771830795*^9, 3.5315772843430033`*^9, {3.531577416106798*^9, 
   3.531577421008531*^9}, {3.531577815650199*^9, 3.531577817010817*^9}, {
   3.53159514760697*^9, 3.531595279414287*^9}, {3.531595355227499*^9, 
   3.5315953557566347`*^9}, {3.531595727792754*^9, 3.531595729766768*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "C\[AAcute]lculo", " ", "do", " ", "valor", " ", "da", " ", 
      "distribi\[CCedilla]ao", " ", "N", 
      RowBox[{"(", 
       RowBox[{"0", ",", "1"}], ")"}], " ", "no", " ", "ponto", " ", "x"}], 
     "\[GreaterEqual]", "0"}], ",", " ", 
    RowBox[{
    "usando", " ", "o", " ", "m\[EAcute]todo", " ", "de", " ", "Simpson"}], 
    ",", " ", 
    RowBox[{"com", " ", "erro", " ", "inferior", " ", "a", " ", 
     RowBox[{"tol", ".", " ", "Os"}], " ", "par\[AHat]metros", " ", "h", " ", 
     "e", " ", "n", " ", "s\[ATilde]o", " ", "calculados", " ", "com", " ", 
     "base", " ", "na", " ", "f\[OAcute]rmula", " ", "do", " ", "erro"}], ",",
     " ", 
    RowBox[{
     RowBox[{"para", " ", "0"}], "\[LessEqual]", "x", "\[LessEqual]", "4"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"FSimp", "[", 
    RowBox[{"x_", ",", "tol_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "t"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"h", "=", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"180", "*", 
          RowBox[{"tol", "/", "4.8"}]}], ")"}], "^", "0.25"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"n", "=", 
       RowBox[{"Ceiling", "[", 
        RowBox[{"4", "/", "h"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"OddQ", "[", "n", "]"}], ",", 
        RowBox[{"n", "=", 
         RowBox[{"n", "+", "1"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"0.5", "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "/", 
          RowBox[{"Sqrt", "[", 
           RowBox[{"2", "*", "Pi"}], "]"}]}], ")"}], "*", 
        RowBox[{"Simpson", "[", 
         RowBox[{
          RowBox[{"Exp", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"t", "^", "2"}]}], "/", "2"}], "]"}], ",", "t", ",", 
          "0.", ",", "x", ",", "n"}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.531577827490478*^9, 3.531577901872368*^9}, 
   3.531578223975952*^9, {3.531595291966133*^9, 3.5315952986188602`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TabelaTrapezios", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"FTrap", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"i", "/", "10"}], "+", 
        RowBox[{"j", "/", "100"}]}], ",", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "6"}], ")"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "9"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TabelaSimpson", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"FSimp", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"i", "/", "10"}], "+", 
        RowBox[{"j", "/", "100"}]}], ",", 
       RowBox[{"10", "^", 
        RowBox[{"(", 
         RowBox[{"-", "6"}], ")"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "40"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "9"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.53157799489902*^9, 3.531578034890067*^9}, {
  3.53157809772785*^9, 3.531578110527631*^9}, {3.531578142550259*^9, 
  3.53157817149404*^9}, {3.531578234796956*^9, 3.531578235484333*^9}, {
  3.531595325123479*^9, 3.5315953510021687`*^9}, {3.5315957630281067`*^9, 
  3.531595765722488*^9}, {3.531595800107245*^9, 3.5315958011144*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TabelaTrapezios", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.53159580412084*^9, 3.5315958156792927`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0.503989356314616`", "0.5079783137167774`", 
      "0.5119664734136923`", "0.5159534368518348`", "0.519938805836428`", 
      "0.5239221826507487`", "0.527903170175192`", "0.5318813720060385`", 
      "0.5358563925738637`"},
     {"0.5398278372615317`", "0.5437953125217115`", "0.5477584259938634`", 
      "0.5517167866206307`", "0.5556700047635853`", "0.5596176923182649`", 
      "0.5635594628284488`", "0.5674949315996162`", "0.571423715811527`", 
      "0.5753454346298774`"},
     {"0.5792597093169702`", "0.5831661633413477`", "0.5870644224863372`", 
      "0.5909541149574513`", "0.5948348714885994`", "0.5987063254470514`", 
      "0.6025681129371123`", "0.6064198729024494`", "0.6102612472270379`", 
      "0.6140918808346603`"},
     {"0.6179114217869314`", "0.621719521379792`", "0.6255158342384312`", 
      "0.6293000184105961`", "0.6330717354582477`", "0.6368306505475145`", 
      "0.6405764325369185`", "0.6443087540638206`", "0.6480272916290604`", 
      "0.651731725679745`"},
     {"0.6554217406901611`", "0.6590970252407673`", "0.6627572720952457`", 
      "0.6664021782755701`", "0.6700314451350732`", "0.673644778429473`", 
      "0.6772418883858433`", "0.6808224897694923`", "0.6843863019487313`", 
      "0.6879330489575115`"},
     {"0.6914624595559005`", "0.6949742672883906`", "0.6984682105400037`", 
      "0.7019440325901964`", "0.7054014816645283`", "0.7088403109840938`", 
      "0.7122602788127008`", "0.7156611485017814`", "0.7190426885330274`", 
      "0.7224046725587441`"},
     {"0.7257468794399082`", "0.7290690932819313`", "0.7323711034681223`", 
      "0.7356527046908419`", "0.7389136969803527`", "0.7421538857313644`", 
      "0.7453730817272677`", "0.7485711011620727`", "0.7517477656600409`", 
      "0.754902902293028`"},
     {"0.7580363435955404`", "0.7611479275775042`", "0.7642374977347746`", 
      "0.7673049030573798`", "0.7703499980355136`", "0.7733726426633019`", 
      "0.7763727024403373`", "0.7793500483710245`", "0.782304556961714`", 
      "0.785236110215693`"},
     {"0.788144595625996`", "0.7910299061661077`", "0.7938919402785432`", 
      "0.7967306018613423`", "0.7995458002525014`", "0.8023374502123668`", 
      "0.8051054719040085`", "0.8078497908716102`", "0.8105703380169007`", 
      "0.8132670495736495`"},
     {"0.8159398670802627`", "0.8185887373505037`", "0.8212136124423742`", 
      "0.8238144496251908`", "0.8263912113448749`", "0.8289438651875067`", 
      "0.8314723838411722`", "0.8339767450561264`", "0.8364569316033288`", 
      "0.8389129312313648`"},
     {"0.8413447366218202`", "0.8437523453431048`", "0.8461357598027994`", 
      "0.8484949871985565`", "0.8508300394675674`", "0.8531409332346802`", 
      "0.8554276897591675`", "0.8576903348802061`", "0.8599288989611049`", 
      "0.862143416832323`"},
     {"0.8643339277333082`", "0.8665004752532174`", "0.8686431072705407`", 
      "0.8707618758916851`", "0.872856837388551`", "0.8749280521351522`", 
      "0.8769755845433063`", "0.8789995029974607`", "0.8809998797886789`", 
      "0.8829767910478277`"},
     {"0.884930316678026`", "0.8868605402863795`", "0.8887675491150531`", 
      "0.8906514339717169`", "0.8925122891594097`", "0.8943502124058793`", 
      "0.8961653047923949`", "0.8979576706821383`", "0.8997274176481507`", 
      "0.9014746564009282`"},
     {"0.9031995007156657`", "0.9049020673592238`", "0.9065824760168322`", 
      "0.908240849218583`", "0.9098773122657527`", "0.91149199315699`", 
      "0.9130850225143976`", "0.9146565335095691`", "0.9162066617895918`", 
      "0.9177355454030808`"},
     {"0.9192433247262461`", "0.9207301423890653`", "0.9221961432015726`", 
      "0.9236414740803112`", "0.925066283974963`", "0.9264707237952345`", 
      "0.9278549463379724`", "0.9292191062145929`", "0.9305633597788234`", 
      "0.9318878650548026`"},
     {"0.9331927816655685`", "0.9344782707619648`", "0.9357444949519804`", 
      "0.9369916182305795`", "0.9382198059100133`", "0.9394292245506803`", 
      "0.9406200418925248`", "0.941792426787023`", "0.9429465491297704`", 
      "0.9440825797937082`"},
     {"0.9452006905629826`", "0.9463010540675034`", "0.9473838437181757`", 
      "0.9484492336428672`", "0.9494973986231054`", "0.9505285140315378`", 
      "0.9515427557701596`", "0.9525403002093437`", "0.9535213241276839`", 
      "0.9544860046526618`"},
     {"0.9554345192021594`", "0.9563670454268302`", "0.9572837611533448`", 
      "0.9581848443285268`", "0.9590704729643786`", "0.9599408250840258`", 
      "0.9607960786685895`", "0.961636411604976`", "0.9624620016346251`", 
      "0.9632730263032014`"},
     {"0.9640696629112486`", "0.9648520884658129`", "0.965620479633036`", 
      "0.9663750126917345`", "0.9671158634879613`", "0.9678432073905638`", 
      "0.9685572192477253`", "0.9692580733445231`", "0.9699459433614683`", 
      "0.9706210023340631`"},
     {"0.9712834226133553`", "0.9719333758275062`", "0.9725710328443535`", 
      "0.9731965637349884`", "0.9738101377383381`", "0.9744119232267436`", 
      "0.9750020876725473`", "0.9755807976156737`", "0.9761482186322057`", 
      "0.9767045153039583`"},
     {"0.9772498511890326`", "0.9777843887933497`", "0.9783082895431778`", 
      "0.9788217137586152`", "0.9793248206280406`", "0.9798177681835359`", 
      "0.9803007132772412`", "0.980773811558668`", "0.9812372174529471`", 
      "0.9816910841399984`"},
     {"0.9821355635346278`", "0.9825708062675307`", "0.9829969616671903`", 
      "0.9834141777426937`", "0.983822601167383`", "0.9842223772634238`", 
      "0.984613649987212`", "0.9849965619156252`", "0.9853712542331243`", 
      "0.9857378667196788`"},
     {"0.9860965377394979`", "0.9864474042305846`", "0.9867906016950538`", 
      "0.9871262641902516`", "0.9874545243206296`", "0.9877755132303733`", 
      "0.9880893605967773`", "0.9883961946243287`", "0.9886961420395337`", 
      "0.9889893280864182`"},
     {"0.9892758765227279`", "0.9895559096168012`", "0.9898295481451013`", 
      "0.9900969113903866`", "0.9903581171405313`", "0.990613281687944`", 
      "0.9908625198296026`", "0.9911059448676782`", "0.991343668610728`", 
      "0.9915758013754734`"},
     {"0.9918024519890879`", "0.9920237277920538`", "0.9922397346415285`", 
      "0.9924505769152071`", "0.9926563575156957`", "0.9928571778753437`", 
      "0.9930531379615599`", "0.9932443362825658`", "0.9934308698935861`", 
      "0.9936128344034783`"},
     {"0.9937903239817532`", "0.9939634313659987`", "0.9941322478696941`", 
      "0.9942968633903859`", "0.9944573664182176`", "0.9946138440448057`", 
      "0.9947663819724675`", "0.9949150645237186`", "0.9950599746511278`", 
      "0.9952011939474251`"},
     {"0.9953388026559147`", "0.9954728796811463`", "0.9956035025998355`", 
      "0.995730747672041`", "0.99585468985257`", "0.9959754028025932`", 
      "0.9960929589014853`", "0.9962074292588525`", "0.9963188837267483`", 
      "0.9964273909120677`"},
     {"0.9965330181891048`", "0.9966358317122637`", "0.996735896428911`", 
      "0.9968332760923801`", "0.9969280332750602`", "0.9970202293816486`", 
      "0.9971099246624691`", "0.9971971782269016`", "0.997282048056898`", 
      "0.9973645910205694`"},
     {"0.997444862885851`", "0.9975229183342066`", "0.9975988109744147`", 
      "0.997672593356365`", "0.997744316984915`", "0.9978140323337595`", 
      "0.9978817888593295`", "0.997947635014687`", "0.9980116182634484`", 
      "0.9980737850936858`"},
     {"0.9981341810318229`", "0.9981928506565313`", "0.9982498376125822`", 
      "0.9983051846246833`", "0.9983589335112834`", "0.9984111251983265`", 
      "0.9984617997329727`", "0.998510996297254`", "0.998558753221694`", 
      "0.9986051079988407`"},
     {"0.9986500972967582`", "0.9986937569724288`", "0.9987361220850871`", 
      "0.9987772269094823`", "0.9988171049490401`", "0.998855788948948`", 
      "0.9988933109091408`", "0.9989297020972099`", "0.9989649930611869`", 
      "0.998999213642239`"},
     {"0.9990323929872651`", "0.9990645595613704`", "0.9990957411602404`", 
      "0.99912596492239`", "0.9991552573413064`", "0.99918364427747`", 
      "0.9992111509702564`", "0.9992378020496997`", "0.9992636215481597`", 
      "0.9992886329118313`"},
     {"0.9993128590121512`", "0.9993363221570499`", "0.9993590441020928`", 
      "0.9993810460614803`", "0.9994023487189041`", "0.9994229722382892`", 
      "0.9994429362743702`", "0.9994622599831698`", "0.9994809620322918`", 
      "0.9994990606111172`"},
     {"0.9995165734408409`", "0.9995335177843636`", "0.9995499104560666`", 
      "0.9995657678314084`", "0.9995811058564319`", "0.9995959400570813`", 
      "0.9996102855484092`", "0.9996241570436271`", "0.9996375688630366`", 
      "0.9996505349427891`"},
     {"0.9996630688435357`", "0.9996751837589177`", "0.9996868925239337`", 
      "0.9996982076231472`", "0.9997091411987808`", "0.9997197050586598`", 
      "0.999729910684016`", "0.9997397692371673`", "0.9997492915690572`", 
      "0.9997584882266457`"},
     {"0.9997673694602066`", "0.9997759452304382`", "0.9997842252154977`", 
      "0.9997922188178612`", "0.9997999351710798`", "0.9998073831464123`", 
      "0.9998145713592956`", "0.9998215081757402`", "0.999828201718563`", 
      "0.9998346598735145`"},
     {"0.9998408902952718`", "0.9998469004133377`", "0.9998526974377802`", 
      "0.9998582883648975`", "0.9998636799827298`", "0.9998688788764929`", 
      "0.999873891433856`", "0.9998787238501441`", "0.9998833821334174`", 
      "0.999887872109432`"},
     {"0.9998921994265062`", "0.9998963695602823`", "0.9999003878183654`", 
      "0.9999042593448806`", "0.9999079891249184`", "0.9999115819888789`", 
      "0.9999150426167265`", "0.9999183755421339`", "0.9999215851565422`", 
      "0.9999246757131252`"},
     {"0.9999276513306532`", "0.9999305159972836`", "0.999933273574237`", 
      "0.9999359277994093`", "0.9999384822908866`", "0.9999409405503696`", 
      "0.999943305966533`", "0.9999455818182754`", "0.9999477712779297`", 
      "0.999949877414345`"},
     {"0.9999519031959242`", "0.9999538514935937`", "0.9999557250836574`", 
      "0.9999575266506229`", "0.9999592587899235`", "0.9999609240105949`", 
      "0.9999625247378594`", "0.99996406331566`", "0.9999655420091245`", 
      "0.9999669630069559`"},
     {"0.9999683284237784`", "0.9999696403023965`", "0.9999709006160171`", 
      "0.9999721112703969`", "0.999973274105934`", "0.9999743908997121`", 
      "0.9999754633674726`", "0.9999764931655553`", "0.9999774818927571`", 
      "0.9999784310921604`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.531595818030919*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TabelaSimpson", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.531595821472715*^9, 3.5315958290213223`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.5`", "0.5039893563146316`", "0.5079783137169019`", 
      "0.5119664734141127`", "0.5159534368528309`", "0.5199388058383727`", 
      "0.5239221826541075`", "0.5279031701805226`", "0.5318813720139903`", 
      "0.5358563925851775`"},
     {"0.539827837277038`", "0.5437953125423313`", "0.5477584260206062`", 
      "0.5517167866545944`", "0.5556700048059545`", "0.5596176923703102`", 
      "0.5635594628915261`", "0.5674949316751645`", "0.571423715901068`", 
      "0.575345434735014`"},
     {"0.5792597094393844`", "0.5831661634828003`", "0.5870644226486647`", 
      "0.5909541151425659`", "0.5948348716984859`", "0.5987063256837666`", 
      "0.6025681132027816`", "0.6064198731992672`", "0.6102612475572629`", 
      "0.6140918812006156`"},
     {"0.6179114221910018`", "0.6217195218244213`", "0.6255158347261203`", 
      "0.6293000189439015`", "0.6330717360397776`", "0.6368306511799282`", 
      "0.6405764332229223`", "0.644308754806167`", "0.6480272924305439`", 
      "0.651731726543201`"},
     {"0.6554217416184621`", "0.6590970262368213`", "0.6627572731619925`", 
      "0.6664021794159798`", "0.6700314463521417`", "0.6736447797262217`", 
      "0.677241889765314`", "0.6808224912347451`", "0.6843863035028425`", 
      "0.687933050603569`"},
     {"0.6914624612970033`", "0.694974269127643`", "0.6984682124805157`", 
      "0.7019440346350778`", "0.7054014838168865`", "0.7088403132470321`", 
      "0.7122602811893141`", "0.7156611509951536`", "0.719042691146229`", 
      "0.7224046752948279`"},
     {"0.7257468823019071`", "0.7290690962728558`", "0.7323711065909567`", 
      "0.7356527079485417`", "0.7389137003758423`", "0.7421538892675325`", 
      "0.7453730854069663`", "0.7485711049881126`", "0.75174776963519`", 
      "0.7549029064200089`"},
     {"0.7580363478770248`", "0.7611479320161141`", "0.7642375023330772`", 
      "0.767304907817884`", "0.7703500029606697`", "0.7733726477554966`", 
      "0.7763727077018951`", "0.779350053804199`", "0.7823045625686922`", 
      "0.7852361159985859`"},
     {"0.7881446015868422`", "0.7910299123068685`", "0.7938919466011003`", 
      "0.7967306083674959`", "0.7995458069439689`", "0.8023374570907785`", 
      "0.8051054789709073`", "0.8078497981284503`", "0.8105703454650444`", 
      "0.8132670572143657`"},
     {"0.8159398749147246`", "0.8185887453797875`", "0.8212136206674597`", 
      "0.8238144580469564`", "0.8263912199640984`", "0.8289438740048647`", 
      "0.8314723928572352`", "0.833976754271361`", "0.8364569410180944`", 
      "0.8389129408459168`"},
     {"0.8413447464363029`", "0.8437523553575541`", "0.8461357700171445`", 
      "0.8484949976126123`", "0.8508300500810413`", "0.8531409440471673`", 
      "0.8554277007701505`", "0.8576903460890566`", "0.8599289103670833`", 
      "0.8621434284345757`"},
     {"0.8643339395308706`", "0.8665004872450122`", "0.868643119455379`", 
      "0.8707618882682661`", "0.8728568499554633`", "0.8749280648908715`", 
      "0.8769755974861999`", "0.8789995161257866`", "0.8809998931005837`", 
      "0.8829768045413513`"},
     {"0.8849303303511012`", "0.886860554136833`", "0.8887675631406053`", 
      "0.8906514481699838`", "0.8925123035279077`", "0.8943502269420185`", 
      "0.89616531949349`", "0.8979576855454019`", "0.8997274326707011`", 
      "0.9014746715797857`"},
     {"0.9031995160477588`", "0.9049020828413886`", "0.9065824916458141`", 
      "0.908240864991041`", "0.9098773281782604`", "0.9114920092060348`", 
      "0.9130850386963869`", "0.9146565498208301`", "0.9162066782263762`", 
      "0.9177355619615626`"},
     {"0.9192433414025286`", "0.9207301591791824`", "0.9221961601014912`", 
      "0.9236414910859294`", "0.9250663010821217`", "0.9264707409997126`", 
      "0.9278549636354931`", "0.9292191236008241`", "0.9305633772493813`", 
      "0.9318878826052561`"},
     {"0.9331927992914417`", "0.9344782884587369`", "0.9357445127150933`", 
      "0.9369916360554356`", "0.9382198237919834`", "0.9394292424851036`", 
      "0.9406200598747119`", "0.9417924448122597`", "0.9429465671933226`", 
      "0.9440825978908205`"},
     {"0.9452007086888865`", "0.9463010722174149`", "0.947383861887303`", 
      "0.9484492518264118`", "0.9494974168162664`", "0.9505285322295113`", 
      "0.9515427739681446`", "0.9525403184025463`", "0.9535213423113191`", 
      "0.954486022821955`"},
     {"0.9554345373523508`", "0.9563670635531776`", "0.9572837792511273`", 
      "0.9581848623930449`", "0.9590704909909593`", "0.9599408430680277`", 
      "0.9607960966053999`", "0.9616364294900184`", "0.9624620194633597`", 
      "0.9632730440711288`"},
     {"0.964069680613912`", "0.9648521060987998`", "0.9656204971919817`", 
      "0.9663750301723246`", "0.9671158808859348`", "0.9678432247017128`", 
      "0.9685572364679021`", "0.9692580904696368`", "0.9699459603874909`", 
      "0.9706210192570301`"},
     {"0.9712834394293699`", "0.9719333925327367`", "0.9725710494350395`", 
      "0.9731965802074423`", "0.9738101540889444`", "0.9744119394519632`", 
      "0.9750021037689177`", "0.9755808135798112`", "0.9761482344608077`", 
      "0.9767045309938028`"},
     {"0.977249866736979`", "0.9777844041963454`", "0.9783083047982547`", 
      "0.9788217288628902`", "0.9793248355787219`", "0.9798177829779173`", 
      "0.9803007279127076`", "0.9807738260326958`", "0.9812372317631033`", 
      "0.9816910982839429`"},
     {"0.9821355775101128`", "0.9825708200724012`", "0.9829969752993901`", 
      "0.983414191200253`", "0.9838226144484326`", "0.9842223903661897`", 
      "0.9846136629100122`", "0.9849965746568742`", "0.9853712667913326`", 
      "0.9857378790934506`"},
     {"0.9860965499275363`", "0.9864474162316832`", "0.9867906135081037`", 
      "0.9871262758142383`", "0.9874545357546328`", "0.9877755244735674`", 
      "0.988089371648426`", "0.9883962054837931`", "0.9886961527062648`", 
      "0.9889893385599577`"},
     {"0.9892758868027096`", "0.9895559197029482`", "0.9898295580372243`", 
      "0.9900969210883872`", "0.9903581266443958`", "0.9906132909977448`", 
      "0.9908625289454974`", "0.9911059537899082`", "0.9913436773396216`", 
      "0.991575809911433`"},
     {"0.9918024603325994`", "0.9920237359436833`", "0.9922397426019167`", 
      "0.9924505846850737`", "0.992656365095832`", "0.9928571852666173`", 
      "0.9930531451649082`", "0.9932443432989955`", "0.9934308767241757`", 
      "0.993612841049371`"},
     {"0.9937903304441569`", "0.9939634376461874`", "0.994132253969003`", 
      "0.9942968693102079`", "0.9944573721600053`", "0.9946138496100743`", 
      "0.9947663873627788`", "0.994915069740694`", "0.9950599796964363`", 
      "0.9952011988227888`"},
     {"0.9953388073631032`", "0.9954728842219733`", "0.9956035069761612`", 
      "0.9957307518857688`", "0.9958546939056416`", "0.9959754066969913`", 
      "0.9960929626392292`", "0.9962074328419965`", "0.9963188871573806`", 
      "0.9964273941923087`"},
     {"0.9965330213211043`", "0.9966358346981994`", "0.9967358992709905`", 
      "0.9968332787928291`", "0.9969280358361342`", "0.99702023180562`", 
      "0.9971099269516308`", "0.9971971803835645`", "0.997282050083389`", 
      "0.9973645929192305`"},
     {"0.9974448646590336`", "0.9975229199842781`", "0.9975988125037472`", 
      "0.9976725947673413`", "0.9977443182799239`", "0.9978140335151955`", 
      "0.9978817899295873`", "0.9979476359761665`", "0.9980116191185474`", 
      "0.9980737858448006`"},
     {"0.9981341816813503`", "0.9981928512068612`", "0.9982498380660998`", 
      "0.9983051849837684`", "0.9983589337783071`", "0.998411125375651`", 
      "0.9984617998229484`", "0.9985109963022231`", "0.9985587531439823`", 
      "0.9986051078407632`"},
     {"0.9986500970606124`", "0.9986937566604972`", "0.9987361216996378`", 
      "0.9987772264527621`", "0.998817104423277`", "0.9988557883563489`", 
      "0.9988933102518971`", "0.9989297013774869`", "0.998964992281127`", 
      "0.9989992128039642`"},
     {"0.9990323920928723`", "0.9990645586129323`", "0.9990957401598021`", 
      "0.9991259638719718`", "0.9991552562429035`", "0.9991836431330503`", 
      "0.9992111497817562`", "0.9992378008190324`", "0.9992636202772058`", 
      "0.999288631602445`"},
     {"0.9993128576661536`", "0.9993363207762346`", "0.9993590426882236`", 
      "0.9993810446162879`", "0.9994023472440905`", "0.9994229707355213`", 
      "0.9994429347452896`", "0.9994622584293794`", "0.9994809604553674`", 
      "0.9994990590126025`"},
     {"0.9995165718222447`", "0.999533516147166`", "0.9995499088017094`", 
      "0.9995657661613091`", "0.9995811041719692`", "0.9995959383596031`", 
      "0.99961028383923`", "0.9996241553240333`", "0.9996375671342772`", 
      "0.9996505332060845`"},
     {"0.9996630671000728`", "0.9996751820098526`", "0.9996868907703871`", 
      "0.9996982058662118`", "0.9997091394395179`", "0.9997197032980976`", 
      "0.9997299089231539`", "0.9997397674769734`", "0.9997492898104647`", 
      "0.999758486470566`"},
     {"0.999767367707513`", "0.9997759434819811`", "0.9997842234720926`", 
      "0.9997922170802979`", "0.9997999334401214`", "0.9998073814227861`", 
      "0.9998145696437095`", "0.9998215064688715`", "0.9998282000210614`", 
      "0.9998346581860014`"},
     {"0.9998408886183469`", "0.9998468987475686`", "0.9998526957837146`", 
      "0.9998582867230547`", "0.999863678353609`", "0.9998688772605622`", 
      "0.9998738898315636`", "0.9998787222619162`", "0.9998833805596545`", 
      "0.9998878705505141`"},
     {"0.9998921978827926`", "0.999896368032107`", "0.9999003863060438`", 
      "0.9999042578487072`", "0.9999079876451682`", "0.9999115805258079`", 
      "0.9999150411705693`", "0.9999183741131071`", "0.9999215837448459`", 
      "0.9999246743189394`"},
     {"0.9999276499541438`", "0.9999305146385966`", "0.9999332722335033`", 
      "0.9999359264767445`", "0.9999384809863887`", "0.9999409392641248`", 
      "0.999943304698609`", "0.9999455805687328`", "0.9999477700468069`", 
      "0.9999498762016699`"},
     {"0.9999519020017178`", "0.9999538503178564`", "0.9999557239263831`", 
      "0.9999575255117912`", "0.9999592576695058`", "0.9999609229085487`", 
      "0.9999625236541332`", "0.9999640622501932`", "0.9999655409618453`", 
      "0.9999669619777865`"},
     {"0.9999683274126288`", "0.999969639309171`", "0.9999708996406107`", 
      "0.9999721103126962`", "0.9999732731658204`", "0.9999743899770583`", 
      "0.999975462462148`", "0.9999764922774182`", "0.9999774810216622`", 
      "0.9999784302379584`"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.531595829782647*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1152, 655},
WindowMargins->{{-6, Automatic}, {Automatic, 12}},
ShowSelection->True,
Magnification->2.,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 310, 4, 72, "Subsection"],
Cell[880, 28, 1387, 38, 175, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2304, 71, 120, 1, 72, "Subsection"],
Cell[2427, 74, 1953, 55, 235, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4417, 134, 255, 5, 102, "Subsection"],
Cell[4675, 141, 2322, 56, 265, "Input"],
Cell[7000, 199, 2245, 59, 650, "Input"],
Cell[9248, 260, 1377, 38, 290, "Input"],
Cell[CellGroupData[{
Cell[10650, 302, 140, 2, 108, "Input"],
Cell[10793, 306, 11103, 180, 2630, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21933, 491, 139, 2, 108, "Input"],
Cell[22075, 495, 11109, 180, 2630, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
