(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16409,        468]
NotebookOptionsPosition[     15525,        433]
NotebookOutlinePosition[     15885,        449]
CellTagsIndexPosition[     15842,        446]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
M\[CapitalEAcute]TODO DE EULER
\
\>", "Subtitle",
 CellChangeTimes->{{3.483196944602323*^9, 3.483197023501627*^9}, {
   3.483197537861814*^9, 3.48319754283803*^9}, {3.483197669750341*^9, 
   3.483197724429349*^9}, 3.4831980593286867`*^9}],

Cell["\<\
y'(t) = f(t,y)

y(t0) = y0\
\>", "Subtitle",
 CellChangeTimes->{{3.483196944602323*^9, 3.483197023501627*^9}, {
  3.483197537861814*^9, 3.48319754283803*^9}, {3.483197669750341*^9, 
  3.483197724429349*^9}, {3.4831980593286867`*^9, 3.483198091013413*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Euler", "[", 
      RowBox[{"t0_", ",", "y0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "o", " ", "primeiro", " ", "ponto", " ", "\[EAcute]", " ", "dado", 
         " ", "pelas", " ", 
         RowBox[{"cond", ".", " ", "iniciais"}]}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        StyleBox[
         RowBox[{"(", "*"}]], " ", 
        RowBox[{"Assume", "-", 
         RowBox[{
         "se", " ", "que", " ", "a", " ", "fun\[CCedilla]\[ATilde]o", " ", 
          "f", 
          RowBox[{"(", 
           RowBox[{"t", ",", "y"}], ")"}], " ", "foi", " ", "definida", " ", 
          "anteriormente", " ", 
          RowBox[{"(", 
           RowBox[{"ver", " ", "exemplos"}], ")"}]}]}], " ", 
        StyleBox[
         RowBox[{"*", ")"}]]}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"sol", "=", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"t0", ",", "y0"}], "}"}], "}"}]}], ";", 
        RowBox[{"(*", " ", 
         RowBox[{
          RowBox[{"ciclo", " ", "para", " ", "calcular", " ", "y_", 
           RowBox[{"(", 
            RowBox[{"n", "+", "1"}], ")"}]}], "=", 
          RowBox[{"y_n", " ", "+", " ", 
           RowBox[{"h", " ", "f", 
            RowBox[{"(", 
             RowBox[{"t_n", ",", " ", "y_n"}], ")"}]}]}]}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "1"}], ",", " ", 
          RowBox[{"i", "\[LessEqual]", "n"}], ",", " ", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"oldY", "=", 
            RowBox[{
             RowBox[{"Last", "[", "sol", "]"}], "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"newY", "=", " ", 
            RowBox[{"oldY", " ", "+", " ", 
             RowBox[{"h", "*", 
              RowBox[{"f", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"i", "-", "1"}], ")"}], "*", "h"}], ",", "oldY"}], 
               "]"}]}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"sol", "=", 
            RowBox[{"Append", "[", 
             RowBox[{"sol", ",", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"i", "*", "h"}], ",", "newY"}], "}"}]}], "]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", "sol"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        StyleBox[
         RowBox[{"(", "*"}]], " ", 
        RowBox[{
         RowBox[{"O", " ", "output"}], ",", " ", 
         RowBox[{"dado", " ", "pela", " ", 
          RowBox[{"vari\[AAcute]vel", " ", "'"}], 
          RowBox[{"sol", "'"}], " ", "corresponde", " ", "a", " ", "uma", " ",
           "lista", " ", "de", " ", "pares", " ", 
          RowBox[{"(", 
           RowBox[{"t_i", ",", " ", "y_i"}], ")"}]}]}], " ", 
        StyleBox[
         RowBox[{"*", ")"}]]}], "\[IndentingNewLine]", "}"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}],
   FontSize->14], 
  StyleBox["\[IndentingNewLine]",
   FontSize->24]}]], "Input",
 CellChangeTimes->{{3.4831975458662243`*^9, 3.483197546255373*^9}, {
   3.4831975981190653`*^9, 3.4831976445588827`*^9}, {3.483197731605525*^9, 
   3.4831979708988857`*^9}, {3.483198193539563*^9, 3.4831982272977333`*^9}, {
   3.483198294365032*^9, 3.483198313832653*^9}, {3.483198390924923*^9, 
   3.4831983921711197`*^9}, 3.483247189989345*^9, 3.4833503923757277`*^9, {
   3.534845497722281*^9, 3.534845526845996*^9}, {3.534845562299611*^9, 
   3.534845614624052*^9}, 3.534845720204886*^9, 3.534845776159193*^9}],

Cell[CellGroupData[{

Cell["\<\
Exemplo 1 :
  y' (t) = y (t)
  y (0) = 1\
\>", "Section",
 CellChangeTimes->{{3.483197997027369*^9, 3.48319802017455*^9}, 
   3.483198103455604*^9, {3.4831981710453663`*^9, 3.4831981720933867`*^9}, {
   3.4831987529434566`*^9, 3.483198753349416*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.483197997027369*^9, 3.48319802017455*^9}, {
  3.483198103455604*^9, 3.483198110629203*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"(*", 
    RowBox[{"Dados", " ", "do", " ", "problema"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{"t_", ",", "y_"}], "]"}], ":=", "y"}], ";"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t0", " ", "=", " ", "0"}], ";", " ", 
     RowBox[{"y0", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"h", "=", "0.1"}], ";", " ", 
     RowBox[{"n", "=", "10"}], ";"}], "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"C\[AAcute]lculo", " ", "da", " ", 
      RowBox[{"sol", ".", " ", "aproximada"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ex1", "=", 
      RowBox[{"Euler", "[", 
       RowBox[{"t0", ",", "y0", ",", "h", ",", "n"}], "]"}]}], ";"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", "Graficos", " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"aprox", " ", "=", " ", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"ex1", ",", 
        RowBox[{"PlotJoined", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}]}], ";"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"exact", "=", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Exp", "[", "t", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"RGBColor", "[", 
            RowBox[{"1", ",", "0", ",", "0"}], "]"}], ",", 
           RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}]}], "]"}]}], 
     ";"}], "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"aprox", ",", "exact"}], "]"}]}]}],
  FontSize->14]], "Input",
 CellChangeTimes->{{3.483198129363552*^9, 3.483198184366949*^9}, {
  3.4831982331911383`*^9, 3.483198265671183*^9}, {3.4831984040651817`*^9, 
  3.483198666099469*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], Thickness[0.005], 
     LineBox[{{0., 1.}, {0.1, 1.1}, {0.2, 1.2100000000000002`}, {
      0.30000000000000004`, 1.3310000000000002`}, {0.4, 
      1.4641000000000002`}, {0.5, 1.61051}, {0.6000000000000001, 
      1.7715610000000002`}, {0.7000000000000001, 1.9487171}, {0.8, 
      2.1435888100000002`}, {0.9, 2.357947691}, {1., 
      2.5937424601}}]}}, {{}, {}, 
    {RGBColor[1, 0, 0], Thickness[0.005], LineBox[CompressedData["
1:eJwVxXk4lHkAB/CZMe/jyqCUHSWrRUo6hJLa70+1qaRCko14ipLtxlKPfRhn
rhVJcl+peJBmkFw9qC3JEUVyN6Ec75AZUdjdPz7PR/PkRWtXFoPBsPzP/+93
HW55+tn2V6NL1ygGQwT2LrVLvVxD+NTczjVjirA5LSGZz92N2EXTboEsESxe
tz9K4R6Bl3fgJmlKBDuX6cpYrguat8lPKsqJ0L0hdFcU1xPeMTcNdFRESF96
KCScG4RYP59qV10ReDL81WHcOAzrpPlsshLhmH1GoWgiG5/aLzBk80SQX+A5
mK8sRMLBiNpcxgS0rcaHayMEsFwuHbLv6AS8G02QMFWGm7kBncrFE1AVKPcw
mdWI8V6t9bviJEoGdjU0ba9BzFOJl4nHJGrcU5bbj9bBtLekxKl9EmKdHYr5
5//BYclPeQLjr2DN5Ckt164HP1XQaJT+FcYLziU2BQ3Y7e44VsWeQkOQYePz
tU1QlHsSZ3Z2Cho3RmYejDdDaOWfGt4xhZHp3p63G9+g7E4oCdopRvaX8nrO
361QDePcrSsVg6N+jxYK2xDOv7DCVl+CyLPFp9O13mHqg8ct4xQJJCRP6ObX
jrh3Lx8qcKfhaVAnWFbbgYtRGVtkoqfRW1AX0aLZicQcG79Q5W/47t6WtOba
BxDoPXCN+wY9M+n50+VdiB09bzinNAPzTM0zRao90H+lHdWVOANvdadV/Q69
4IelPdu5chbrRm3l2y378FuXxkhmxiyWKIpk6mb7MKw7GaGy+TvY1UmFvyT3
wyzQ4kdi5Xf8YVj+XtZiAAvJV193Hv2BvH0n06skAxD9nNgdLPoB8Yia0mD8
RziU5opfBMyh2MZcKm63EPGP2tbnas3Db29wmmBQiCJ9iIeq5qHZvb8jK/gT
sjoVlqnZL2DblqA4rsEgzo1sdxthMojDyqYZZusgQlsyxYY2DCKujxq4xBuC
mlwIdPIZJIF9wtNaaxgv9vDe9bOYZElPcSarbhhVj82kko4xCfUX74jJ5c+Y
M+Il+pUyCePBicKBxV8Q2t+pJ1RmkSuJhVGLa75A5d7ss34vFqnUuy6jfGEE
JqtOya7uZBHl/VfWBXBGccujQJJoIkW69Jtbr1aMonwLx3JHlhR5mAot4Ykx
8Omb0UPSbOJYaKysPj8G82WtcpHn2MQ/OIPXlTuOCpQ5zXxgk/xh9STOARrs
HPt1qnsocj0l2LnnIA1Jv2et2JwiLtZj2gVWNC6+SQ1q20eRFRUVDy3taPTd
0Q+OtaRIePTx55EnaUTYpPop2VLEzfjOhNxVGtdk5RxVXCiyKkhlr3QODdVj
Mm2mARSZ3+qr0H6fhkz6GoFGEEXej318k5NHQzmwuUoqhCI37PiOe4po6CtU
2TSEUWRhrbVHcAWNpUP+vk4xFOlqiU6VaqXhdWW0ISqdIo9Dpk+1vqXhHKlr
55lJkThTpzVZHTT8DXQWHc+miMXd9YKdPTQ26HlJdO9T5InP65e8zzR8VV81
PC+kSLy+UbTVKA36vW9+QRFFLg8kH9GkaTQSTlk8nyK6B871Pp2iYcTpPXym
lCJsZlv2jWkadfPa3YfKKNJXbOruPEuj/t7xuK3lFKlwz9qwcY6GRlPgn5qV
FLmtIS9eWKAxvi0zUK6aIv8CkM9WUw==
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 1.},
  PlotRange->{{0., 1.}, {1., 2.5937424601}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.534845790232177*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5348457399269953`*^9, 3.534845743544058*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Exemplo 2:
y1'(t) = y1(t)+y2(t)
y2'(t)=-y1(t)+y1(t)*y2(t)
y1(0)=0, y2(0)=2\
\>", "Subtitle",
 CellChangeTimes->{{3.534845805897612*^9, 3.534845807828323*^9}, {
  3.534845838779291*^9, 3.534845890205126*^9}, {3.534846119837545*^9, 
  3.534846141171055*^9}, {3.534846467277774*^9, 3.534846467396254*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 StyleBox[
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"t_", ",", "y_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "+", 
       RowBox[{"y", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", " ", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"y", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], " ", "+", " ", 
       RowBox[{
        RowBox[{"y", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "*", 
        RowBox[{"y", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}]}]}], "}"}]}], ";"}],
  FontSize->14], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"t0", " ", "=", " ", "0"}], ";", " ", 
   RowBox[{"y0", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{"0", ",", "2"}], "}"}]}], ";"}],
  FontSize->14], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"h", "=", "0.1"}], ";", " ", 
    RowBox[{"n", "=", "10"}], ";"}],
   FontSize->14], 
  StyleBox["\[IndentingNewLine]",
   FontSize->14], 
  StyleBox["\[IndentingNewLine]",
   FontSize->14], 
  StyleBox[
   RowBox[{"(*", 
    RowBox[{"C\[AAcute]lculo", " ", "da", " ", 
     RowBox[{"sol", ".", " ", "aproximada"}]}], " ", "*)"}],
   FontSize->14]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"ex2", "=", 
    RowBox[{"Euler", "[", 
     RowBox[{"t0", ",", "y0", ",", "h", ",", "n"}], "]"}]}], ";"}],
  FontSize->14], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{
   RowBox[{"y1", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ex2", "[", 
         RowBox[{"[", 
          RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"ex2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "ex2", "]"}]}], "}"}]}], "]"}]}], ";"}],
  FontSize->14], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{
    RowBox[{"y2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ex2", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{
          RowBox[{"ex2", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", 
          RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "ex2", "]"}]}], "}"}]}], "]"}]}], ";"}],
   FontSize->14], 
  StyleBox["\[IndentingNewLine]",
   FontSize->14], 
  StyleBox[
   RowBox[{"(*", " ", "Graficos", " ", "*)"}],
   FontSize->14]}], "\[IndentingNewLine]", 
 StyleBox[
  RowBox[{"ListPlot", "[", 
   RowBox[{
    StyleBox[
     RowBox[{"y", "1"}]], ",", 
    RowBox[{"PlotJoined", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}],
  FontSize->14], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"y2", ",", 
   RowBox[{"PlotJoined", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Thickness", "[", "0.005", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.534845935489032*^9, 3.534845938426243*^9}, {
  3.534846008841938*^9, 3.534846044543932*^9}, {3.534846097782051*^9, 
  3.534846116019348*^9}, {3.5348461769758453`*^9, 3.53484619878155*^9}, {
  3.534846251934898*^9, 3.5348463570382633`*^9}, {3.534846471203315*^9, 
  3.534846471361987*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[0.005], 
    LineBox[{{0., 0.}, {0.1, 0.2}, {0.2, 0.42000000000000004`}, {
     0.30000000000000004`, 0.664}, {0.4, 0.9366840000000001}, {0.5, 
     1.2436936576000002`}, {0.6000000000000001, 1.59202077521338}, {
     0.7000000000000001, 1.9905971515671381`}, {0.8, 2.4512198434834733`}, {
     0.9, 2.9900654847250827`}, {1., 3.630281617283748}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->{{0., 1.}, {0., 3.630281617283748}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.534846357600605*^9, 3.534846472010107*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], Thickness[0.005], 
    LineBox[{{0., 2.}, {0.1, 2.}, {0.2, 2.02}, {0.30000000000000004`, 
     2.06284}, {0.4, 2.133412576}, {0.5, 2.2395775185337983`}, {
     0.6000000000000001, 2.3937429883242016`}, {0.7000000000000001, 
     2.6156297675962126`}, {0.8, 2.9372365689326223`}, {0.9, 
     3.4120958408615705`}, {1., 4.1333282928224815`}}]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 2.},
  PlotRange->{{0., 1.}, {2., 4.1333282928224815`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{3.534846357600605*^9, 3.534846472016711*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440, 767},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
ShowSelection->True,
FrontEndVersion->"7.0 for Mac OS X x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 248, 6, 75, "Subtitle"],
Cell[818, 30, 265, 7, 96, "Subtitle"],
Cell[1086, 39, 3848, 95, 245, "Input"],
Cell[CellGroupData[{
Cell[4959, 138, 260, 7, 111, "Section"],
Cell[5222, 147, 140, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[5387, 153, 2084, 56, 229, "Input"],
Cell[7474, 211, 2475, 47, 242, "Output"]
}, Open  ]],
Cell[9964, 261, 94, 1, 27, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10107, 268, 312, 8, 121, "Subtitle"],
Cell[CellGroupData[{
Cell[10444, 280, 3597, 113, 192, "Input"],
Cell[14044, 395, 732, 16, 242, "Output"],
Cell[14779, 413, 718, 16, 242, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
