(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     13309,        315]
NotebookOptionsPosition[     12632,        286]
NotebookOutlinePosition[     12991,        302]
CellTagsIndexPosition[     12948,        299]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Implementa\[CCedilla]\[ATilde]o do M\[EAcute]todo da \
Bisse\[CCedilla]\[ATilde]o\
\>", "Subsection",
 CellChangeTimes->{{3.528094328934718*^9, 3.528094356405517*^9}}],

Cell["\<\

Aplic\[AAcute]vel  a equa\[CCedilla]\[OTilde]es do tipo f (x) = 0, no \
intervalo [a, b], em que f \[EAcute] uma fun\[CCedilla]\[ATilde]o cont\
\[IAcute]nua nesse intervalo e se tem f (a) f (b) < 0. Se estas condi\
\[CCedilla]\[OTilde]es n\[ATilde]o forem verificadas n\[ATilde]o \[EAcute] \
poss\[IAcute]vel garantir a converg\[EHat]ncia do m\[EAcute]todo.

Os par\[AHat]metros de entrada s\[ATilde]o os seguintes:

* f, x : Express\[ATilde]o da fun\[CCedilla]\[ATilde]o f  e respectiva vari\
\[AAcute]vel
* a,b : Extremos do intervalo a considerar
* tol : Erro m\[AAcute]ximo admitido no c\[AAcute]lculo da solu\[CCedilla]\
\[ATilde]o

Os par\[AHat]metros de sa\[IAcute]da s\[ATilde]o os seguintes:

* Valor num\[EAcute]rico da solu\[CCedilla]\[ATilde]o  da equa\[CCedilla]\
\[ATilde]o, com erro m\[AAcute]ximo de \[OpenCurlyQuote]tol\[CloseCurlyQuote].\
\>", "Text",
 CellChangeTimes->{{3.528094357501112*^9, 3.528094482950659*^9}, {
  3.528094524775524*^9, 3.528094691845614*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Bissecao", "[", 
    RowBox[{"fs_", ",", "x_", ",", "a_", ",", "b_", ",", "tol_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", "iter", ",", "an", ",", "bn", ",", "xn", ",", "s"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", "s_", "]"}], ":=", 
       RowBox[{"fs", "/.", 
        RowBox[{"x", "\[Rule]", "s"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"an", "=", "a"}], ";", " ", 
      RowBox[{"bn", "=", "b"}], ";", "\[IndentingNewLine]", 
      RowBox[{"iter", "=", 
       RowBox[{"Floor", "[", 
        RowBox[{"Log", "[", 
         RowBox[{"2", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"b", "-", "a"}], ")"}], "/", "tol"}]}], "]"}], "]"}]}], 
      ";", 
      RowBox[{"(*", " ", 
       RowBox[{
       "numero", " ", "de", " ", "itera\[CCedilla]\[OTilde]es", " ", "a", " ",
         "realizar"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "\[LessEqual]", "iter"}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"xn", "=", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"an", "+", "bn"}], ")"}], "/", "2"}]}], ";", 
         RowBox[{"(*", " ", 
          RowBox[{"ponto", " ", "medio", " ", "do", " ", "intervalo"}], " ", 
          "*)"}], "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"f", "[", "an", "]"}], "*", 
             RowBox[{"f", "[", "xn", "]"}]}], "<=", "0"}], ",", 
           RowBox[{"bn", "=", "xn"}], ",", 
           RowBox[{"an", "=", "xn"}]}], "]"}], ";"}]}], "\[IndentingNewLine]",
        "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"an", "+", "bn"}], ")"}], "/", "2"}]}]}], 
    "\[IndentingNewLine]", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.5280944839828453`*^9, 3.528094510329363*^9}, {
  3.5280946959757423`*^9, 3.5280947635683403`*^9}, {3.528094929200747*^9, 
  3.5280951396685266`*^9}, {3.528095439411394*^9, 3.528095457456811*^9}, {
  3.528095633501554*^9, 3.528095664559805*^9}, {3.528095717995489*^9, 
  3.528095804322399*^9}}],

Cell[CellGroupData[{

Cell["\<\

Exemplo : Determinar as raizes de  Cos[x^2] = 1, no intervalo [0, pi/2], com \
erro inferior a 10^(-6)\
\>", "Subsubsection",
 CellChangeTimes->{{3.528095167249969*^9, 3.528095214490534*^9}, {
  3.5280953029918203`*^9, 3.5280953301835938`*^9}, {3.528095364167788*^9, 
  3.528095381935782*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"x", "^", "2"}], "]"}], "-", "0.5"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", 
     RowBox[{"Pi", "/", "2"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.528095246611164*^9, 3.528095295093432*^9}, {
  3.528095385318454*^9, 3.528095385878096*^9}, {3.5280955182956123`*^9, 
  3.5280955260057898`*^9}, {3.528095809319037*^9, 3.528095817263136*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwd13k8VF0fAHChLG1IWZKUVupp4yklP4+IKAqpLCWFLNkqZKlIkgrZQtZi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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesOrigin->{0, 0},
  PlotRange->
   NCache[{{0, Rational[1, 2] Pi}, {-1.281211829240505, 0.5}}, {{
     0, 1.5707963267948966`}, {-1.281211829240505, 0.5}}],
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 CellChangeTimes->{{3.52809525956028*^9, 3.5280952955348387`*^9}, 
   3.528095386127845*^9, 3.5280955289178047`*^9, 3.528095559743063*^9, 
   3.528095818081375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bissecao", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", 
     RowBox[{"x", "^", "2"}], "]"}], "-", "0.5"}], ",", "x", ",", "0.", ",", 
   RowBox[{"Pi", "/", "2"}], ",", 
   RowBox[{"10", "^", 
    RowBox[{"(", 
     RowBox[{"-", "6"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.52809539653519*^9, 3.528095434630945*^9}, {
  3.5280955327677927`*^9, 3.528095537599077*^9}, {3.52809572782384*^9, 
  3.5280957353123217`*^9}, {3.528095795808316*^9, 3.528095829424317*^9}}],

Cell[BoxData["1.0233262235418885`"], "Output",
 CellChangeTimes->{
  3.528095462183329*^9, {3.528095538371813*^9, 3.528095561785864*^9}, 
   3.528095669411195*^9, {3.52809572377164*^9, 3.528095797279571*^9}, 
   3.5280958311724663`*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 599},
WindowMargins->{{165, Automatic}, {41, Automatic}},
ShowSelection->True,
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 177, 4, 39, "Subsection"],
Cell[759, 28, 995, 22, 258, "Text"],
Cell[1757, 52, 2376, 59, 221, "Input"],
Cell[CellGroupData[{
Cell[4158, 115, 304, 7, 45, "Subsubsection"],
Cell[CellGroupData[{
Cell[4487, 126, 464, 11, 30, "Input"],
Cell[4954, 139, 6855, 119, 225, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11846, 263, 507, 12, 30, "Input"],
Cell[12356, 277, 236, 4, 30, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
